Skip to main content
GET
/
v2
/
reputation
/
{agentId}
/
composite
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.reputation.lucidGetCompositeReputation({
    agentId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "agentId": "<string>",
  "composite": {
    "overall": 50,
    "algorithmScores": [
      {
        "algorithmId": "<string>",
        "weight": 123,
        "score": {
          "overall": 50,
          "components": {},
          "computedAt": 123,
          "metadata": {}
        }
      }
    ],
    "computedAt": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

agentId
string
required

Agent identifier for composite reputation score

Response

Composite score

success
boolean
required
agentId
string
required
composite
object
required